GNU logs - #33999, boring messages


Message sent to bug-guix@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#33999: CP437: Invalid Argument on init
Resent-From: Bryan Ferris <saffsnail@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-guix@HIDDEN
Resent-Date: Sun, 06 Jan 2019 19:39:01 +0000
Resent-Message-ID: <handler.33999.B.154680349020027 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: report 33999
X-GNU-PR-Package: guix
X-GNU-PR-Keywords: 
To: 33999 <at> debbugs.gnu.org
X-Debbugs-Original-To: bug-guix@HIDDEN
Received: via spool by submit <at> debbugs.gnu.org id=B.154680349020027
          (code B ref -1); Sun, 06 Jan 2019 19:39:01 +0000
Received: (at submit) by debbugs.gnu.org; 6 Jan 2019 19:38:10 +0000
Received: from localhost ([127.0.0.1]:49021 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ggEFO-0005Cx-9e
	for submit <at> debbugs.gnu.org; Sun, 06 Jan 2019 14:38:10 -0500
Received: from eggsout.gnu.org ([209.51.188.92]:33466)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <saffsnail@HIDDEN>) id 1ggECV-00058E-RZ
 for submit <at> debbugs.gnu.org; Sun, 06 Jan 2019 14:35:12 -0500
Received: from listsout.gnu.org ([208.118.235.17]:54666)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <saffsnail@HIDDEN>) id 1ggECV-0001Ru-Br
 for submit <at> debbugs.gnu.org; Sun, 06 Jan 2019 14:35:11 -0500
Received: from eggsout.gnu.org ([209.51.188.92]:48192 helo=eggs.gnu.org)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <saffsnail@HIDDEN>) id 1ggECT-0004u7-PZ
 for bug-guix@HIDDEN; Sun, 06 Jan 2019 14:35:11 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,FREEMAIL_FROM,
 HTML_MESSAGE autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <saffsnail@HIDDEN>) id 1ggECS-0001G3-M2
 for bug-guix@HIDDEN; Sun, 06 Jan 2019 14:35:09 -0500
Received: from mail-lj1-x22f.google.com ([2a00:1450:4864:20::22f]:34852)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <saffsnail@HIDDEN>) id 1ggECS-00017N-8v
 for bug-guix@HIDDEN; Sun, 06 Jan 2019 14:35:08 -0500
Received: by mail-lj1-x22f.google.com with SMTP id x85-v6so36377167ljb.2
 for <bug-guix@HIDDEN>; Sun, 06 Jan 2019 11:35:07 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:from:date:message-id:subject:to;
 bh=oy7GXcOa0W+wLsrIRd2yb16WmsjLwDkTzKNpSDOIyz0=;
 b=dUh+unhfZKefmiazunrfmepRs0HokZymXjJiEvqduUtO13EXdDue4OLn1on+FAYEpx
 qoygFzitHQh1jSe+m4rRzCx9lHqcSVx+Z5bPnCCf/0tyTTHb4bzxPQxxNFfqa1r6tOfN
 QiSWPOsFj5Y55ws046YFpdnb9+dyZ6z6ewaYd0gBjF3f/l54vYw8Yg7speW78YzpTGr0
 8nAQiY4WjKOWBSjgYiHpPW7CEWze9tq/6sEfYTPMfQPhigiW3R2Ftk5WSnnor6eliBOc
 zgz0+PwhK1evOqrHI4Q0QboVQWE6QquAzD2lw0Lr1dfLyA8aJqnadRYGBYbYm1j0zwf9
 v1pQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:from:date:message-id:subject:to;
 bh=oy7GXcOa0W+wLsrIRd2yb16WmsjLwDkTzKNpSDOIyz0=;
 b=M32lG9f0Qz7Nc/3jwzKJcqXdvnPcO63JG/AQbiWx/lgmhladyvgpPe4Y/vs4+sEHnX
 x3fAl7KP20BdjEZpR4sI4QQoEa6lBKlb4nDQmuQ5w6fm239oP7tQztc5/sOhLBbqfhWN
 3tn3X96D5pGmIuA/3thchL/3Qh0QQnHQ+bYdoHAGLLvdZwI/gJ1SiMOSNBuIz+Mjrm24
 QRareSS/W+3IIqIk+kMKMsu1mnW+29KhhyryvrNeas/5qK3+V8/2duaCL7kSvVgTkWRr
 j6TdasgQMItJ5O47WO07MNtaa8vQ9hEbl9Jj41/i+Eld8tQYqYLxVVl5g2Oq1D98xJR/
 NUbQ==
X-Gm-Message-State: AJcUukf9e9Rb4nlZdhD8U7J2ADSQK2se2BpbO2TctpeJ/rgXvUK9At90
 si2gPqOYI9xSU4MItgOtL0UjZN6mId9/imrzgIT3G22f
X-Google-Smtp-Source: ALg8bN6R9DXUXOYpiVXlI0I8fZx8L3RyjN8XfjGSZjjZTeifEii5raGYLqSsJUfrBstkGuPSVhByf0MtR6ZV1G4EpPs=
X-Received: by 2002:a2e:917:: with SMTP id 23-v6mr30626141ljj.1.1546803306025; 
 Sun, 06 Jan 2019 11:35:06 -0800 (PST)
MIME-Version: 1.0
From: Bryan Ferris <saffsnail@HIDDEN>
Date: Sun, 6 Jan 2019 11:34:54 -0800
Message-ID: <CABkR=SVzxi8eA4eEfd4+qmxwYkTDGorkeko7NX3XPiROLv_26Q@HIDDEN>
Content-Type: multipart/alternative; boundary="00000000000097d96d057ecf35f4"
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-Received-From: 2a00:1450:4864:20::22f
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Spam-Score: 1.0 (+)
X-Mailman-Approved-At: Sun, 06 Jan 2019 14:38:09 -0500
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)

--00000000000097d96d057ecf35f4
Content-Type: text/plain; charset="UTF-8"

Hello,

I've installed guix to my desktop. `guix system install` ran successfully
and the system is able to boot. However, a large number of services fail to
start with the error "CP437: Invalid argument". There are 3 groups of
information listed below: a partial list of services which fail (partial
because I can only see the final screen of output; I'm not sure how to see
the beginning of the log when I have no tty's and the startup log doesn't
support scrolling as far as I can tell), a partial list of services that
succeeded in starting, and my operating-system declaration used to create
it.

I verified that the inputs (mount points, fs types, etc) to the
operating-system is accurate. I don't think it's doing anything
particularly interesting. The only abnormal thing is that my root partition
is btrfs, but I get the same behavior on ext.

Broken Services:
avahi-daemon
console-font-tty{1-6}
dbus-system
elogind
guix-daemon
networking
nscd
ntpd
syslogd
term-tty{1-6,auto}
user-homes
upower-daemon
urandom-seed
user-processes
wpa-supplicant
xorg-server

Working Services:
console-keymap
file-system-/sys/fs/cgroup/{blkio,devices,freezer,memory,perf_event}
host-name
virtual-terminal

OS Declaration:
(use-modules (gnu))
(use-service-modules desktop ssh)
(use-package-modules shells vim wm)

(operating-system
  (packages (cons* fish neovim xmonad %base-packages))

  (services (cons*
              (console-keymap-service "dvorak-programmer")
              (service openssh-service-type
                       (openssh-configuration
                         (port-number 8778)
                       )
              )
              %desktop-services
            )
  )

  (users (let ((default-groups '("wheel" "audio" "video" "netdev"))
               ;(default-shell  #$fish) not sure if this is the right
syntax... fix once system boots
              )
           (cons* (user-account
                   (name "primary")
                   (group "users")
                   (supplementary-groups default-groups)
                   (home-directory "/home/primary")
                 )
                 (user-account
                   (name "configuration")
                   (group "users")
                   (supplementary-groups default-groups)
                   (home-directory "/home/configuration")
                 )
                 (user-account
                   (name "packaging")
                   (group "users")
                   (supplementary-groups default-groups)
                   (home-directory "/home/packaging")
                 )
                 %base-user-accounts
           )
         )
  )

  (host-name "cp")
  (timezone "America/Los_Angeles")
  (locale "en_US.utf8")

  (file-systems (cons*
                  (file-system
                    (device (file-system-label "ESP"))
                    (mount-point "/boot/efi")
                    (type "fat")
                  )

                  (file-system
                    (device (file-system-label "guix"))
                    (mount-point "/")
                    (type "btrfs")
                  )
                  %base-file-systems
                )
  )
  (bootloader (bootloader-configuration
                (bootloader grub-efi-bootloader)
                (target "/boot/efi")
                (timeout 15)
              )
  )
)

Thanks,
Bryan

--00000000000097d96d057ecf35f4
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: base64
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=
--00000000000097d96d057ecf35f4--




Message sent:


Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable
MIME-Version: 1.0
X-Mailer: MIME-tools 5.505 (Entity 5.505)
Content-Type: text/plain; charset=utf-8
X-Loop: help-debbugs@HIDDEN
From: help-debbugs@HIDDEN (GNU bug Tracking System)
To: Bryan Ferris <saffsnail@HIDDEN>
Subject: bug#33999: Acknowledgement (CP437: Invalid Argument on init)
Message-ID: <handler.33999.B.154680349020027.ack <at> debbugs.gnu.org>
References: <CABkR=SVzxi8eA4eEfd4+qmxwYkTDGorkeko7NX3XPiROLv_26Q@HIDDEN>
X-Gnu-PR-Message: ack 33999
X-Gnu-PR-Package: guix
Reply-To: 33999 <at> debbugs.gnu.org
Date: Sun, 06 Jan 2019 19:39:01 +0000

Thank you for filing a new bug report with debbugs.gnu.org.

This is an automatically generated reply to let you know your message
has been received.

Your message is being forwarded to the package maintainers and other
interested parties for their attention; they will reply in due course.

Your message has been sent to the package maintainer(s):
 bug-guix@HIDDEN

If you wish to submit further information on this problem, please
send it to 33999 <at> debbugs.gnu.org.

Please do not send mail to help-debbugs@HIDDEN unless you wish
to report a problem with the Bug-tracking system.

--=20
33999: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=3D33999
GNU Bug Tracking System
Contact help-debbugs@HIDDEN with problems


Message sent to bug-guix@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#33999: CP437: Invalid Argument on init
Resent-From: Danny Milosavljevic <dannym@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-guix@HIDDEN
Resent-Date: Wed, 09 Jan 2019 19:09:02 +0000
Resent-Message-ID: <handler.33999.B33999.15470608953801 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 33999
X-GNU-PR-Package: guix
X-GNU-PR-Keywords: 
To: Bryan Ferris <saffsnail@HIDDEN>
Cc: 33999 <at> debbugs.gnu.org
Received: via spool by 33999-submit <at> debbugs.gnu.org id=B33999.15470608953801
          (code B ref 33999); Wed, 09 Jan 2019 19:09:02 +0000
Received: (at 33999) by debbugs.gnu.org; 9 Jan 2019 19:08:15 +0000
Received: from localhost ([127.0.0.1]:52506 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ghJD4-0000zF-OO
	for submit <at> debbugs.gnu.org; Wed, 09 Jan 2019 14:08:14 -0500
Received: from dd26836.kasserver.com ([85.13.145.193]:46914)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <dannym@HIDDEN>) id 1ghJD3-0000z3-8R
 for 33999 <at> debbugs.gnu.org; Wed, 09 Jan 2019 14:08:13 -0500
Received: from localhost (77.116.226.247.wireless.dyn.drei.com
 [77.116.226.247])
 by dd26836.kasserver.com (Postfix) with ESMTPSA id 7D19B33601FC;
 Wed,  9 Jan 2019 20:08:11 +0100 (CET)
Date: Wed, 9 Jan 2019 20:08:04 +0100
From: Danny Milosavljevic <dannym@HIDDEN>
Message-ID: <20190109200804.5619d668@HIDDEN>
In-Reply-To: <CABkR=SVzxi8eA4eEfd4+qmxwYkTDGorkeko7NX3XPiROLv_26Q@HIDDEN>
References: <CABkR=SVzxi8eA4eEfd4+qmxwYkTDGorkeko7NX3XPiROLv_26Q@HIDDEN>
X-Mailer: Claws Mail 3.17.3 (GTK+ 2.24.32; x86_64-unknown-linux-gnu)
MIME-Version: 1.0
Content-Type: multipart/signed; micalg=pgp-sha256;
 boundary="Sig_/r/L+tR/ghOyevbFPvLaILND"; protocol="application/pgp-signature"
X-Spam-Score: -0.7 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

--Sig_/r/L+tR/ghOyevbFPvLaILND
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: quoted-printable

Hi,

apparently the message is printed by fsck.fat and is harmless (although we =
should
still fix it).  Are you sure that the services fail because of it?

>   (file-systems (cons*
>                   (file-system
>                     (device (file-system-label "ESP"))
>                     (mount-point "/boot/efi")
>                     (type "fat")

Try adding (check? #f) here for testing purposes.

>                   )

--Sig_/r/L+tR/ghOyevbFPvLaILND
Content-Type: application/pgp-signature
Content-Description: OpenPGP digital signature

-----BEGIN PGP SIGNATURE-----

iQEzBAEBCAAdFiEEds7GsXJ0tGXALbPZ5xo1VCwwuqUFAlw2RpQACgkQ5xo1VCww
uqVfVAf9ExeDALxIBshwdexeLzFZWp1nS54S9oeNdSp0RiNd4lVkQm3Ocwo+6Xqc
nZaWOeGkPMtmxpmvMTlWPKlQvmRgSMZF19LW2LKzr4LdSwCp5TLWl5/xHyK+tikb
rfxjwM7PnoUP3r5GDln1swmsd01dhJykmn4otvfwJSyaCtVD0xJzgCSfpFAmN+nE
QnKgAgFA2DUVJnhuchW7bCUrWtwZcY/BUohG92Gym6pVNdpfxwtvEQyKH63De/bo
w5YvGC/MRjkSp65wBRvVo2A/OVuI6MIsctENd1lcNYDU1Ik/tN0CSNXyb9ffb3hW
OLtNX1B/ST7qR9JR4KPV/1Q+lde/bw==
=YVMm
-----END PGP SIGNATURE-----

--Sig_/r/L+tR/ghOyevbFPvLaILND--




Message sent to bug-guix@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#33999: CP437: Invalid Argument on init
Resent-From: Bryan Ferris <saffsnail@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-guix@HIDDEN
Resent-Date: Wed, 09 Jan 2019 21:20:02 +0000
Resent-Message-ID: <handler.33999.B33999.154706875314520 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 33999
X-GNU-PR-Package: guix
X-GNU-PR-Keywords: 
To: Danny Milosavljevic <dannym@HIDDEN>
Cc: 33999 <at> debbugs.gnu.org
Received: via spool by 33999-submit <at> debbugs.gnu.org id=B33999.154706875314520
          (code B ref 33999); Wed, 09 Jan 2019 21:20:02 +0000
Received: (at 33999) by debbugs.gnu.org; 9 Jan 2019 21:19:13 +0000
Received: from localhost ([127.0.0.1]:52630 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ghLFo-0003m8-Rm
	for submit <at> debbugs.gnu.org; Wed, 09 Jan 2019 16:19:13 -0500
Received: from mail-lf1-f51.google.com ([209.85.167.51]:39926)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <saffsnail@HIDDEN>) id 1ghLFm-0003lv-Ot
 for 33999 <at> debbugs.gnu.org; Wed, 09 Jan 2019 16:19:11 -0500
Received: by mail-lf1-f51.google.com with SMTP id n18so6751194lfh.6
 for <33999 <at> debbugs.gnu.org>; Wed, 09 Jan 2019 13:19:10 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=J1WyV0nJkoimNAGeFw/xsKak7r0FfPTKTfnH3TFPiZY=;
 b=QnQ08+fQcWQHW8gJBy97cjoIOkphxvPErZhGNqI5HBpPbhBNNuitZcBllG+xDykxPZ
 uIyi1oVS+yAhzSBV2RREd8ROrLf8zl3miSM+DjRA5S33XwcU+ro73f3wiqKYMTCTiS57
 zZ5LEQl6c2Pe2ClAV/Y+zLn3/al9ig3ayPmp88EZ2wruem2NOmmEVKZvkz1zJl5vTdE2
 U6pV1gBaj1pHiLkIt5+sGcqesOzUflPGnXWa6etXb4NAqzRDb6zDaAyy30eYqUiJp9aj
 KbU9v6DWynZOqBCHMdLKtWtwD6y3Ml1hEMrb5Ad3KnyJfhGb2LQ7r3LylJHGg82tCVwA
 W5WQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=J1WyV0nJkoimNAGeFw/xsKak7r0FfPTKTfnH3TFPiZY=;
 b=AXoqcfIksY0lGQssQFpeULw4uSl+4+PprKBc3na0IEDwDvaQWK4FxTYJ+TBKqBo/1t
 isqiymtmPJV0pUNZsk8UIpnEM97pxcBN0IkgKosDYp2XRkg7rhWFAyn53qzFic+J9Krs
 kQ839j44yJrCEcYPao8OjxaoZ/N9YwIvpKu11neOHnBZuBN93Y551aT3lCw8xBqPeQ8b
 ypksXoas07EN1kba5S3cjoQz97bh8JGE1gxR6/hwz1xih/gz9N/qxI0Br0MKhR7GQrCk
 I/m2fqZZgEDO1UUmNIF5qImorNPtLkk2foAI5pd3w85ZwC3Lhxmlbez7efjFHZONfvBl
 vG0g==
X-Gm-Message-State: AJcUukeJ5nefq1S4FMDVmP6FbdGFL59rrbWAe7Dq9LiqwRMMckxgAKkW
 GTw8AalJeqblmNyuRblVGSUyENo+6zSJkOwfGSo=
X-Google-Smtp-Source: ALg8bN7W40FLTtFNIg9O9+gdUfiMdNQwmq2iIdcUg3WvnMEyr6AsdV8OtkdcNh6KbSq0TV0y9j/XPPxbg1oNL377WGI=
X-Received: by 2002:ac2:4116:: with SMTP id b22mr4606048lfi.19.1547068744304; 
 Wed, 09 Jan 2019 13:19:04 -0800 (PST)
MIME-Version: 1.0
References: <CABkR=SVzxi8eA4eEfd4+qmxwYkTDGorkeko7NX3XPiROLv_26Q@HIDDEN>
 <20190109200804.5619d668@HIDDEN>
In-Reply-To: <20190109200804.5619d668@HIDDEN>
From: Bryan Ferris <saffsnail@HIDDEN>
Date: Wed, 9 Jan 2019 13:18:49 -0800
Message-ID: <CABkR=SUqB=Ow4FWs+bAjYCZLbnjRUrqbR9LvHthq75CCnqQSbw@HIDDEN>
Content-Type: multipart/alternative; boundary="000000000000f28ac5057f0d02bb"
X-Spam-Score: 0.0 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--000000000000f28ac5057f0d02bb
Content-Type: text/plain; charset="UTF-8"

I assume that it is related because the error is printed once for each
failed service but I have no better reason than that. I can send a video of
my boot tonight... It might be a little blurry though, all I have is my
phone camera. If there's a way for me to start a screen recorder during
init or capture the logs that it prints as a text file I'd be happy to do
that, I just don't know of a way to.



On Jan 9, 2019 11:08, "Danny Milosavljevic" <dannym@HIDDEN> wrote:

Hi,

apparently the message is printed by fsck.fat and is harmless (although we
should
still fix it).  Are you sure that the services fail because of it?

>   (file-systems (cons*
>                   (file-system
>                     (device (file-system-label "ESP"))
>                     (mount-point "/boot/efi")
>                     (type "fat")

Try adding (check? #f) here for testing purposes.

>                   )

--000000000000f28ac5057f0d02bb
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"auto">I assume that it is related because the error is printed =
once for each failed service but I have no better reason than that. I can s=
end a video of my boot tonight... It might be a little blurry though, all I=
 have is my phone camera. If there&#39;s a way for me to start a screen rec=
order during init or capture the logs that it prints as a text file I&#39;d=
 be happy to do that, I just don&#39;t know of a way to.<div dir=3D"auto"><=
br></div><div dir=3D"auto"><br></div></div><div class=3D"gmail_extra"><br><=
div class=3D"gmail_quote">On Jan 9, 2019 11:08, &quot;Danny Milosavljevic&q=
uot; &lt;<a href=3D"mailto:dannym@HIDDEN">dannym@HIDDEN</=
a>&gt; wrote:<br type=3D"attribution"><blockquote class=3D"quote" style=3D"=
margin:0 0 0 .8ex;border-left:1px #ccc solid;padding-left:1ex">Hi,<br>
<br>
apparently the message is printed by fsck.fat and is harmless (although we =
should<br>
still fix it).=C2=A0 Are you sure that the services fail because of it?<br>
<br>
&gt;=C2=A0 =C2=A0(file-systems (cons*<br>
&gt;=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0(f=
ile-system<br>
&gt;=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =
=C2=A0(device (file-system-label &quot;ESP&quot;))<br>
&gt;=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =
=C2=A0(mount-point &quot;/boot/efi&quot;)<br>
&gt;=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =
=C2=A0(type &quot;fat&quot;)<br>
<br>
Try adding (check? #f) here for testing purposes.<br>
<br>
&gt;=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0)<=
br>
</blockquote></div><br></div>

--000000000000f28ac5057f0d02bb--




Message sent to bug-guix@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#33999: CP437: Invalid Argument on init
Resent-From: Bryan Ferris <saffsnail@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-guix@HIDDEN
Resent-Date: Thu, 10 Jan 2019 15:16:02 +0000
Resent-Message-ID: <handler.33999.B33999.154713332922595 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 33999
X-GNU-PR-Package: guix
X-GNU-PR-Keywords: 
To: Danny Milosavljevic <dannym@HIDDEN>
Cc: 33999 <at> debbugs.gnu.org
Received: via spool by 33999-submit <at> debbugs.gnu.org id=B33999.154713332922595
          (code B ref 33999); Thu, 10 Jan 2019 15:16:02 +0000
Received: (at 33999) by debbugs.gnu.org; 10 Jan 2019 15:15:29 +0000
Received: from localhost ([127.0.0.1]:54089 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ghc3N-0005sL-Em
	for submit <at> debbugs.gnu.org; Thu, 10 Jan 2019 10:15:29 -0500
Received: from mail-lj1-f173.google.com ([209.85.208.173]:38972)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <saffsnail@HIDDEN>) id 1ghc3M-0005s9-BL
 for 33999 <at> debbugs.gnu.org; Thu, 10 Jan 2019 10:15:28 -0500
Received: by mail-lj1-f173.google.com with SMTP id t9-v6so10031657ljh.6
 for <33999 <at> debbugs.gnu.org>; Thu, 10 Jan 2019 07:15:28 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=nZ4Tu7kwl8ZeyeSE0dNhzL9MB60Hll8jkvai5v9t6/g=;
 b=qMj56XTbQGjugvcFBLxK2QEZb0eCyjqENE4Ms04GikSC/hdyjXb5C1YL8ly9uPhOR2
 8OXQ99Upog6byHx2cgyYIZel6T4AgvpbPo7zdImEOxbfE1EYthBiaVykWcr+sBhB91te
 oa+WrItbVOIvGTEzjtRYefRx6n2diNHu+B1Bxdet0PB0A7fbbCJqfuGEcyL2ZOg1jqiJ
 Wz/8SZtie1cqSlFwz2AY0Z6gfQ9QRb9XZu5x5OLfNUCtj3mJt1rYOcGru9ApnFBb7Xvv
 LmYejWVgVAscrEQ09OkQ8bNyc0wO9Ji4dHHwuvLMTt8lx+y9THcOlW9ATGE3SQNXX2I7
 G25Q==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=nZ4Tu7kwl8ZeyeSE0dNhzL9MB60Hll8jkvai5v9t6/g=;
 b=Yd4iYQ3/Y8zchSbpHUVoGO1Pe0qld1yiEB13ETzqY3xcpk9SWX22GETXHEdq31kPyY
 Hi57Qxx6ZHAGGQdORfqxIjvbkladPYPPRs11O8dg74SGCDu2tx/Erct7aGeUfKzYCpUc
 aamMoCZFuvAeNgqnpm+Lmre65ZJNa5e8KvHQRWsY1sZ4z6SMjfcC684EowbcgztYfzUc
 2UjERjiFTLMVc0Ps9L+JAbKo2pqBjEJCBBHpNJn1bFvFzobCOZI3OO2mSzOapjUbfy1Z
 d9bTKsmP6lfdzZrGkKuDpUtq8CmTq9OD5/kQcukeVaQLtpLDhZE8npguduhQdil4/UbH
 dJrw==
X-Gm-Message-State: AJcUukebW3me3Dbz9VgQAtjIu539v6Dmty++GDILQI68cD1HJjU1atiV
 5g1WW5N3c0veZtIDShiap80tNYTkLuZHuA+BmNo=
X-Google-Smtp-Source: ALg8bN5owup/tY40pNEu0hkskOwvUDX2XpYwH3g8b0h5HVj4ul5igcHW46hSSzf+1m8yGMCi7tWhYo7tcYmvc7iHyu8=
X-Received: by 2002:a2e:8546:: with SMTP id u6-v6mr6178697ljj.95.1547133322032; 
 Thu, 10 Jan 2019 07:15:22 -0800 (PST)
MIME-Version: 1.0
References: <CABkR=SVzxi8eA4eEfd4+qmxwYkTDGorkeko7NX3XPiROLv_26Q@HIDDEN>
 <20190109200804.5619d668@HIDDEN>
 <CABkR=SUqB=Ow4FWs+bAjYCZLbnjRUrqbR9LvHthq75CCnqQSbw@HIDDEN>
 <CABkR=SUyCV7d6sR1Zyy4Aj4Cp5raS_Tn-Akji3k0fQPeneErFg@HIDDEN>
In-Reply-To: <CABkR=SUyCV7d6sR1Zyy4Aj4Cp5raS_Tn-Akji3k0fQPeneErFg@HIDDEN>
From: Bryan Ferris <saffsnail@HIDDEN>
Date: Thu, 10 Jan 2019 07:15:10 -0800
Message-ID: <CABkR=SUnpHJ+-brA5k40t3gvcOf2DuU8+UKEseTiee25Vuy1rg@HIDDEN>
Content-Type: multipart/alternative; boundary="000000000000147b29057f1c0cb0"
X-Spam-Score: 0.0 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--000000000000147b29057f1c0cb0
Content-Type: text/plain; charset="UTF-8"

I've linked to two videos here, one of the boot (the screen with the GNU
logo and "100% freedom" on it) and one of the init (where Shepherd reports
errors, I think it's dmesg?).

Boot:
https://drive.google.com/file/d/1YMbCI3BvznhMI_eYYTxMvxJC2SKlNqSJ/view?usp=sharing
Init:
https://drive.google.com/file/d/1CZov16Xrpy9D8DMN9eHeANjR7UHh2WpL/view?usp=sharing

On Thu, Jan 10, 2019 at 6:31 AM Bryan Ferris <saffsnail@HIDDEN> wrote:

> I've attached two videos here, one of the boot (the screen with the GNU
> logo and "100% freedom" on it) and one of the init (where Shepherd reports
> errors, I think it's dmesg?).
>
> On Wed, Jan 9, 2019, 13:18 Bryan Ferris <saffsnail@HIDDEN wrote:
>
>> I assume that it is related because the error is printed once for each
>> failed service but I have no better reason than that. I can send a video of
>> my boot tonight... It might be a little blurry though, all I have is my
>> phone camera. If there's a way for me to start a screen recorder during
>> init or capture the logs that it prints as a text file I'd be happy to do
>> that, I just don't know of a way to.
>>
>>
>>
>> On Jan 9, 2019 11:08, "Danny Milosavljevic" <dannym@HIDDEN>
>> wrote:
>>
>> Hi,
>>
>> apparently the message is printed by fsck.fat and is harmless (although
>> we should
>> still fix it).  Are you sure that the services fail because of it?
>>
>> >   (file-systems (cons*
>> >                   (file-system
>> >                     (device (file-system-label "ESP"))
>> >                     (mount-point "/boot/efi")
>> >                     (type "fat")
>>
>> Try adding (check? #f) here for testing purposes.
>>
>> >                   )
>>
>>
>>

--000000000000147b29057f1c0cb0
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr"><div dir=3D"ltr"><div dir=3D"ltr"><div>I&#39;ve linked to =
two videos here, one of the boot (the screen with the GNU=20
logo and &quot;100% freedom&quot; on it) and one of the init (where Shepher=
d=20
reports errors, I think it&#39;s dmesg?).</div><div><br></div><div>Boot: <a=
 href=3D"https://drive.google.com/file/d/1YMbCI3BvznhMI_eYYTxMvxJC2SKlNqSJ/=
view?usp=3Dsharing">https://drive.google.com/file/d/1YMbCI3BvznhMI_eYYTxMvx=
JC2SKlNqSJ/view?usp=3Dsharing</a><br></div><div>Init: <a href=3D"https://dr=
ive.google.com/file/d/1CZov16Xrpy9D8DMN9eHeANjR7UHh2WpL/view?usp=3Dsharing"=
>https://drive.google.com/file/d/1CZov16Xrpy9D8DMN9eHeANjR7UHh2WpL/view?usp=
=3Dsharing</a><br></div></div></div></div><br><div class=3D"gmail_quote"><d=
iv dir=3D"ltr">On Thu, Jan 10, 2019 at 6:31 AM Bryan Ferris &lt;<a href=3D"=
mailto:saffsnail@HIDDEN">saffsnail@HIDDEN</a>&gt; wrote:<br></div><bl=
ockquote class=3D"gmail_quote" style=3D"margin:0px 0px 0px 0.8ex;border-lef=
t:1px solid rgb(204,204,204);padding-left:1ex"><div dir=3D"auto">I&#39;ve a=
ttached two videos here, one of the boot (the screen with the GNU logo and =
&quot;100% freedom&quot; on it) and one of the init (where Shepherd reports=
 errors, I think it&#39;s dmesg?).</div><br><div class=3D"gmail_quote"><div=
 dir=3D"ltr">On Wed, Jan 9, 2019, 13:18 Bryan Ferris &lt;<a href=3D"mailto:=
saffsnail@HIDDEN" target=3D"_blank">saffsnail@HIDDEN</a> wrote:<br></=
div><blockquote class=3D"gmail_quote" style=3D"margin:0px 0px 0px 0.8ex;bor=
der-left:1px solid rgb(204,204,204);padding-left:1ex"><div dir=3D"auto">I a=
ssume that it is related because the error is printed once for each failed =
service but I have no better reason than that. I can send a video of my boo=
t tonight... It might be a little blurry though, all I have is my phone cam=
era. If there&#39;s a way for me to start a screen recorder during init or =
capture the logs that it prints as a text file I&#39;d be happy to do that,=
 I just don&#39;t know of a way to.<div dir=3D"auto"><br></div><div dir=3D"=
auto"><br></div></div><div class=3D"gmail_extra"><br><div class=3D"gmail_qu=
ote">On Jan 9, 2019 11:08, &quot;Danny Milosavljevic&quot; &lt;<a href=3D"m=
ailto:dannym@HIDDEN" rel=3D"noreferrer" target=3D"_blank">dannym@s=
cratchpost.org</a>&gt; wrote:<br type=3D"attribution"><blockquote class=3D"=
gmail-m_-5884928728278088463m_5584347351806021634quote" style=3D"margin:0px=
 0px 0px 0.8ex;border-left:1px solid rgb(204,204,204);padding-left:1ex">Hi,=
<br>
<br>
apparently the message is printed by fsck.fat and is harmless (although we =
should<br>
still fix it).=C2=A0 Are you sure that the services fail because of it?<br>
<br>
&gt;=C2=A0 =C2=A0(file-systems (cons*<br>
&gt;=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0(f=
ile-system<br>
&gt;=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =
=C2=A0(device (file-system-label &quot;ESP&quot;))<br>
&gt;=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =
=C2=A0(mount-point &quot;/boot/efi&quot;)<br>
&gt;=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =
=C2=A0(type &quot;fat&quot;)<br>
<br>
Try adding (check? #f) here for testing purposes.<br>
<br>
&gt;=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0)<=
br>
</blockquote></div><br></div>
</blockquote></div>
</blockquote></div>

--000000000000147b29057f1c0cb0--




Message sent to bug-guix@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#33999: CP437: Invalid Argument on init
Resent-From: Danny Milosavljevic <dannym@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-guix@HIDDEN
Resent-Date: Thu, 10 Jan 2019 18:00:02 +0000
Resent-Message-ID: <handler.33999.B33999.154714315727267 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 33999
X-GNU-PR-Package: guix
X-GNU-PR-Keywords: 
To: Bryan Ferris <saffsnail@HIDDEN>
Cc: 33999 <at> debbugs.gnu.org
Received: via spool by 33999-submit <at> debbugs.gnu.org id=B33999.154714315727267
          (code B ref 33999); Thu, 10 Jan 2019 18:00:02 +0000
Received: (at 33999) by debbugs.gnu.org; 10 Jan 2019 17:59:17 +0000
Received: from localhost ([127.0.0.1]:54154 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ghebs-00075i-DP
	for submit <at> debbugs.gnu.org; Thu, 10 Jan 2019 12:59:16 -0500
Received: from dd26836.kasserver.com ([85.13.145.193]:43102)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <dannym@HIDDEN>) id 1ghebp-00075Y-So
 for 33999 <at> debbugs.gnu.org; Thu, 10 Jan 2019 12:59:14 -0500
Received: from localhost (77.116.226.247.wireless.dyn.drei.com
 [77.116.226.247])
 by dd26836.kasserver.com (Postfix) with ESMTPSA id DDD8A3362EEF;
 Thu, 10 Jan 2019 18:59:11 +0100 (CET)
Date: Thu, 10 Jan 2019 18:59:05 +0100
From: Danny Milosavljevic <dannym@HIDDEN>
Message-ID: <20190110185905.413ce912@HIDDEN>
In-Reply-To: <CABkR=SUnpHJ+-brA5k40t3gvcOf2DuU8+UKEseTiee25Vuy1rg@HIDDEN>
References: <CABkR=SVzxi8eA4eEfd4+qmxwYkTDGorkeko7NX3XPiROLv_26Q@HIDDEN>
 <20190109200804.5619d668@HIDDEN>
 <CABkR=SUqB=Ow4FWs+bAjYCZLbnjRUrqbR9LvHthq75CCnqQSbw@HIDDEN>
 <CABkR=SUyCV7d6sR1Zyy4Aj4Cp5raS_Tn-Akji3k0fQPeneErFg@HIDDEN>
 <CABkR=SUnpHJ+-brA5k40t3gvcOf2DuU8+UKEseTiee25Vuy1rg@HIDDEN>
X-Mailer: Claws Mail 3.17.3 (GTK+ 2.24.32; x86_64-unknown-linux-gnu)
MIME-Version: 1.0
Content-Type: multipart/signed; micalg=pgp-sha256;
 boundary="Sig_/1dhagwckwZDNmamgEInGsPU"; protocol="application/pgp-signature"
X-Spam-Score: -0.7 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

--Sig_/1dhagwckwZDNmamgEInGsPU
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: quoted-printable

Hi,

On Thu, 10 Jan 2019 07:15:10 -0800
Bryan Ferris <saffsnail@HIDDEN> wrote:

> I've linked to two videos here, one of the boot (the screen with the GNU
> logo and "100% freedom" on it) and one of the init (where Shepherd reports
> errors,

Thanks!  I've viewed those.

>I think it's dmesg?).

It depends.  On early boot it's dmesg and once syslog is up it's syslog.

> Boot:
> https://drive.google.com/file/d/1YMbCI3BvznhMI_eYYTxMvxJC2SKlNqSJ/view?us=
p=3Dsharing
> Init:
> https://drive.google.com/file/d/1CZov16Xrpy9D8DMN9eHeANjR7UHh2WpL/view?us=
p=3Dsharing

Maybe the CP437 is not harmless after all.

Please try adding the unquoted part below at the indicated place:

> >> >   (file-systems (cons*
> >> >                   (file-system
> >> >                     (device (file-system-label "ESP"))
> >> >                     (mount-point "/boot/efi")
> >> >                     (type "fat") =20
> >>

 (check? #f)

> >> >                   ) =20

Then invoke

  guix system reconfigure /etc/config.scm

as root in order for it to be applied and reboot.

This prevents fsck.fat from being invoked - so we hopefully also doesn't
need CP437 any more.

If that doesn't help, try this (it's kinda dangerous :( ):

> >> >   (file-systems (cons*
> >> >                   (file-system
> >> >                     (device (file-system-label "ESP"))
> >> >                     (mount-point "/boot/efi")
> >> >                     (type "fat") =20
> >>

(check? #f)
(needed-for-boot? #f)

> >> >                   ) =20

Then invoke

  guix system reconfigure /etc/config.scm

as root in order for it to be applied and reboot.

This prevents fsck.fat from being invoked and it also prevents the
initial ram disk (a very early tiny GNU system which runs right after the k=
ernel
starts up and before init) from trying to mount /boot/efi .  The real system
will still mount /boot/efi later.

It would be interesting if=20

(1) This fixes the problem (I don't think so), or
(2) It reduces the number of error messages and makes it less bad.

After all this, if it still doesn't work:

Try adding the unquoted part:

> >> >   (file-systems (cons*
> >> >                   (file-system
> >> >                     (device (file-system-label "ESP"))
> >> >                     (mount-point "/boot/efi")
> >> >                     (type "fat") =20
> >>

(check? #f)
(needed-for-boot? #f)
(mount? #f)

> >> >                   ) =20

Then invoke

  guix system reconfigure /etc/config.scm

as root in order for it to be applied and reboot.

This prevents mounting of /boot/efi entirely (it's pretty dangerous).

Should your system not boot any more you can select the older generation
in the grub boot menu.  It's also possible that you can't run

  guix system reconfigure /etc/config.scm

anymore after this.  If so, please invoke

  mount /boot/efi

as root.  Then you can invoke

  guix system reconfigure /etc/config.scm

once.

It's likely that the latter will be a successful workaround to
the original problem.
It would still be good if we got to the root cause later.

--Sig_/1dhagwckwZDNmamgEInGsPU
Content-Type: application/pgp-signature
Content-Description: OpenPGP digital signature

-----BEGIN PGP SIGNATURE-----

iQEzBAEBCAAdFiEEds7GsXJ0tGXALbPZ5xo1VCwwuqUFAlw3h+kACgkQ5xo1VCww
uqVkgQgAkJfZozW9pjEgl59JEE3LVajbUDbZmy5BVTOiXMpPC3e3ZxSkF9hB0/Dl
z8JroFCzKsdrEFkeOAcGaPUJfxe75vrKcqnNDKviykcUd8GqeGU3albzLFgmgWRt
+bf5nnCON8Jx4rj9u0gS1Q7asaNb77ZolVKCeL/C7Gu9MQUTrzSZs1QmQ+9+KXJX
/NuqKUwtv5ILNGNyqqieKiUayIHwsb23rxu1BcwDsGVQHlygyUByXplVnI+F5TpU
YrZ4CSd0mfO1qBIOk+oAGFNWDB9b1jLgj/ol36CYMsrThvibMs/hByefRj9aCCYN
up48HFthmEBkhcoXNHe/wnKjitNiFg==
=qIUX
-----END PGP SIGNATURE-----

--Sig_/1dhagwckwZDNmamgEInGsPU--




Message sent to bug-guix@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#33999: CP437: Invalid Argument on init
Resent-From: Danny Milosavljevic <dannym@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-guix@HIDDEN
Resent-Date: Thu, 10 Jan 2019 18:22:01 +0000
Resent-Message-ID: <handler.33999.B33999.154714447529384 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 33999
X-GNU-PR-Package: guix
X-GNU-PR-Keywords: 
To: Bryan Ferris <saffsnail@HIDDEN>
Cc: 33999 <at> debbugs.gnu.org
Received: via spool by 33999-submit <at> debbugs.gnu.org id=B33999.154714447529384
          (code B ref 33999); Thu, 10 Jan 2019 18:22:01 +0000
Received: (at 33999) by debbugs.gnu.org; 10 Jan 2019 18:21:15 +0000
Received: from localhost ([127.0.0.1]:54168 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ghex9-0007dr-2f
	for submit <at> debbugs.gnu.org; Thu, 10 Jan 2019 13:21:15 -0500
Received: from dd26836.kasserver.com ([85.13.145.193]:45298)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <dannym@HIDDEN>) id 1ghex7-0007dk-AU
 for 33999 <at> debbugs.gnu.org; Thu, 10 Jan 2019 13:21:13 -0500
Received: from localhost (77.116.226.247.wireless.dyn.drei.com
 [77.116.226.247])
 by dd26836.kasserver.com (Postfix) with ESMTPSA id A818E3362EEF;
 Thu, 10 Jan 2019 19:21:11 +0100 (CET)
Date: Thu, 10 Jan 2019 19:21:07 +0100
From: Danny Milosavljevic <dannym@HIDDEN>
Message-ID: <20190110192107.454e2cb8@HIDDEN>
In-Reply-To: <CABkR=SVzxi8eA4eEfd4+qmxwYkTDGorkeko7NX3XPiROLv_26Q@HIDDEN>
References: <CABkR=SVzxi8eA4eEfd4+qmxwYkTDGorkeko7NX3XPiROLv_26Q@HIDDEN>
X-Mailer: Claws Mail 3.17.3 (GTK+ 2.24.32; x86_64-unknown-linux-gnu)
MIME-Version: 1.0
Content-Type: multipart/signed; micalg=pgp-sha256;
 boundary="Sig_/_nxyzO_3cwehxUhc0cH+nzn"; protocol="application/pgp-signature"
X-Spam-Score: -0.7 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

--Sig_/_nxyzO_3cwehxUhc0cH+nzn
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: quoted-printable

Also, if you want, please try the following program on the booted guix syst=
em:

#include <stdio.h>
#include <locale.h>
#include <iconv.h>
#include <langinfo.h>

static iconv_t iconv_init_codepage(int codepage)
{
    iconv_t result;
    char codepage_name[16];
    snprintf(codepage_name, sizeof(codepage_name), "CP%d", codepage);
    result =3D iconv_open(nl_langinfo(CODESET), codepage_name);
    if (result =3D=3D (iconv_t) - 1) {
        printf("FOO\n");
        perror(codepage_name);
        printf("BAR\n");
    }
    return result;
}

int main() {
        setlocale(LC_ALL, "");
        iconv_init_codepage(437);
        return 0;
}

You'd have to put the above text into a file called "a.c", then invoke

guix package -i gcc-toolchain

Then invoke

gcc -o a a.c

Then invoke

./a

I suspect it will also fail with the same error message.

After that, please invoke

iconv -l |grep -i cp437

It will probably either return nothing or even fail with an error message.

--Sig_/_nxyzO_3cwehxUhc0cH+nzn
Content-Type: application/pgp-signature
Content-Description: OpenPGP digital signature

-----BEGIN PGP SIGNATURE-----

iQEzBAEBCAAdFiEEds7GsXJ0tGXALbPZ5xo1VCwwuqUFAlw3jRMACgkQ5xo1VCww
uqWaswf8CksNDOGBzJ4E40P6W4iOkbujWV1j/uQNFdokxyeZlhSUkMJFGXmU/H4S
80OM3C6d2hPx2aeIDPS9yrwNuGzfv+HPVxpLZQEJfzoEeiC+EoQU3fiUbm4hyZ+N
x8Etx6rjWI3OcgrtJXtcW3nleiOHlBmGnQ9LMhJuf/g5y5LuBjSrUzj1nQNWaksA
p0zd9Hes7NtmR1vU7BMCl2gq/Ij1YaUApbS11CmI/lCyLgcRGHnSgB59UYJwEdrG
RVhzuhEHteRng0RNMEmiXLupWWnuvjjHumqfkwPD5UeBNCw9e/ErE3hWkqNqbFYS
D0YrzBeLdgh5Y/ijPvPtJRmYeybsFw==
=qymy
-----END PGP SIGNATURE-----

--Sig_/_nxyzO_3cwehxUhc0cH+nzn--




Message sent to bug-guix@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#33999: CP437: Invalid Argument on init
Resent-From: Bryan Ferris <saffsnail@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-guix@HIDDEN
Resent-Date: Thu, 10 Jan 2019 20:38:02 +0000
Resent-Message-ID: <handler.33999.B33999.15471526801064 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 33999
X-GNU-PR-Package: guix
X-GNU-PR-Keywords: 
To: Danny Milosavljevic <dannym@HIDDEN>
Cc: 33999 <at> debbugs.gnu.org
Received: via spool by 33999-submit <at> debbugs.gnu.org id=B33999.15471526801064
          (code B ref 33999); Thu, 10 Jan 2019 20:38:02 +0000
Received: (at 33999) by debbugs.gnu.org; 10 Jan 2019 20:38:00 +0000
Received: from localhost ([127.0.0.1]:54305 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ghh5T-0000H5-LP
	for submit <at> debbugs.gnu.org; Thu, 10 Jan 2019 15:38:00 -0500
Received: from mail-lf1-f54.google.com ([209.85.167.54]:46768)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <saffsnail@HIDDEN>) id 1ghh5S-0000Gr-7W
 for 33999 <at> debbugs.gnu.org; Thu, 10 Jan 2019 15:37:58 -0500
Received: by mail-lf1-f54.google.com with SMTP id y14so9238966lfg.13
 for <33999 <at> debbugs.gnu.org>; Thu, 10 Jan 2019 12:37:58 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=9I5WEiSX8qw1CX12ZCuvCprb2NC1FFK4SO4XCpaVU8k=;
 b=TflX9AQTxD6WvdTcVMTc8d5pppmLe7wSXR7HQTChUZW2ZqyrHV3CXvACTn5/2NuQ/L
 N5szA8gmXKIs7r6cmcW5NR3pRhvrZa2vrg71FFC0oc0rghYW1R8+G2Qjifi6WLcAxJKZ
 nHLKV2aZ2rdYnXxqjcZEuf1qfXZ8WylZ4Y3jiZ7jfQR7BXSYrEOSaV1EzaV4TmVQuSXE
 QwknZ0WCJSKJ3Ai12YcYR4tK7FnlUR15NwZApzb3h9e65qauIy+e7y5qEBP0QUnOgCIM
 k9rhtQV4E/iAcn/cJ8y6YZB1JNZ3BK9vMsBLLg89hV1xkALFsBf4JPr7v+8Ipk/SXDx5
 WWow==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=9I5WEiSX8qw1CX12ZCuvCprb2NC1FFK4SO4XCpaVU8k=;
 b=kQWNTxJBCytuuvc2q7S8Il65hxIg942C0Na/z0azD9AvSIxB3wCyaSgqEntBIkboMX
 nq4O0f/2lUqGJhmeeEznqkSUKF/bXouQ7bEronHD2s1io42S5G5ADI+13R2cwKcdz0LF
 DfMPLTBbH8Hqh0r6hUAhu9pALEyu4JHwA8ws82UvQuC5P54/qV77/LQ2Biy/w3Mr5nN4
 YNOcrsCDzXFQPZ+g31Z1PzAv1jpukznOXwMZiVw/uvO6AXht2/Jw8WslEKCXHZtxwr0l
 x4QE17uJ7sImMRfLT1nIsIcNESSE0KKFzGMr2U2zNrHTvp9iItGPYZc2EgJdDVj6J2mm
 IFXA==
X-Gm-Message-State: AJcUukdGuuHg9As2HsNMvYvWKYEPtLkfAiKPt0U9JAsUmfMERgwe7SwO
 /ZtGWo1Or6Vy92tk81T8J8p5s6zCv+adEtgv1Kq5vg==
X-Google-Smtp-Source: ALg8bN5uurKdc+CNqyq7AeQVfYeMsnq/WX01s9qMSs1NAbaDLiANz8YfQUUDsQLgyszH3vzUotiweauLvy3pflMjFGY=
X-Received: by 2002:a19:c18d:: with SMTP id r135mr6139799lff.59.1547152671505; 
 Thu, 10 Jan 2019 12:37:51 -0800 (PST)
MIME-Version: 1.0
References: <CABkR=SVzxi8eA4eEfd4+qmxwYkTDGorkeko7NX3XPiROLv_26Q@HIDDEN>
 <20190109200804.5619d668@HIDDEN>
 <CABkR=SUqB=Ow4FWs+bAjYCZLbnjRUrqbR9LvHthq75CCnqQSbw@HIDDEN>
 <CABkR=SUyCV7d6sR1Zyy4Aj4Cp5raS_Tn-Akji3k0fQPeneErFg@HIDDEN>
 <CABkR=SUnpHJ+-brA5k40t3gvcOf2DuU8+UKEseTiee25Vuy1rg@HIDDEN>
 <20190110185905.413ce912@HIDDEN>
In-Reply-To: <20190110185905.413ce912@HIDDEN>
From: Bryan Ferris <saffsnail@HIDDEN>
Date: Thu, 10 Jan 2019 12:37:38 -0800
Message-ID: <CABkR=SX83NKbE=25iWyuxH+ZO2AsS_f9x-bSz93Oq9oFr4sm1A@HIDDEN>
Content-Type: multipart/alternative; boundary="00000000000066072e057f208dc9"
X-Spam-Score: 0.0 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--00000000000066072e057f208dc9
Content-Type: text/plain; charset="UTF-8"

Oh right, forgot about the check line. I'll try that tonight. However, I
don't think I can run your test program unless that fixes the issue as I
never get a shell.

Also, I don't think this matters, but I'll be running `guix system init`
from the installer rather than reconfigure due to the lack of shell and the
fact that guix itself is one of the services that fails to start.

On Thu, Jan 10, 2019, 09:59 Danny Milosavljevic <dannym@HIDDEN
wrote:

> Hi,
>
> On Thu, 10 Jan 2019 07:15:10 -0800
> Bryan Ferris <saffsnail@HIDDEN> wrote:
>
> > I've linked to two videos here, one of the boot (the screen with the GNU
> > logo and "100% freedom" on it) and one of the init (where Shepherd
> reports
> > errors,
>
> Thanks!  I've viewed those.
>
> >I think it's dmesg?).
>
> It depends.  On early boot it's dmesg and once syslog is up it's syslog.
>
> > Boot:
> >
> https://drive.google.com/file/d/1YMbCI3BvznhMI_eYYTxMvxJC2SKlNqSJ/view?usp=sharing
> > Init:
> >
> https://drive.google.com/file/d/1CZov16Xrpy9D8DMN9eHeANjR7UHh2WpL/view?usp=sharing
>
> Maybe the CP437 is not harmless after all.
>
> Please try adding the unquoted part below at the indicated place:
>
> > >> >   (file-systems (cons*
> > >> >                   (file-system
> > >> >                     (device (file-system-label "ESP"))
> > >> >                     (mount-point "/boot/efi")
> > >> >                     (type "fat")
> > >>
>
>  (check? #f)
>
> > >> >                   )
>
> Then invoke
>
>   guix system reconfigure /etc/config.scm
>
> as root in order for it to be applied and reboot.
>
> This prevents fsck.fat from being invoked - so we hopefully also doesn't
> need CP437 any more.
>
> If that doesn't help, try this (it's kinda dangerous :( ):
>
> > >> >   (file-systems (cons*
> > >> >                   (file-system
> > >> >                     (device (file-system-label "ESP"))
> > >> >                     (mount-point "/boot/efi")
> > >> >                     (type "fat")
> > >>
>
> (check? #f)
> (needed-for-boot? #f)
>
> > >> >                   )
>
> Then invoke
>
>   guix system reconfigure /etc/config.scm
>
> as root in order for it to be applied and reboot.
>
> This prevents fsck.fat from being invoked and it also prevents the
> initial ram disk (a very early tiny GNU system which runs right after the
> kernel
> starts up and before init) from trying to mount /boot/efi .  The real
> system
> will still mount /boot/efi later.
>
> It would be interesting if
>
> (1) This fixes the problem (I don't think so), or
> (2) It reduces the number of error messages and makes it less bad.
>
> After all this, if it still doesn't work:
>
> Try adding the unquoted part:
>
> > >> >   (file-systems (cons*
> > >> >                   (file-system
> > >> >                     (device (file-system-label "ESP"))
> > >> >                     (mount-point "/boot/efi")
> > >> >                     (type "fat")
> > >>
>
> (check? #f)
> (needed-for-boot? #f)
> (mount? #f)
>
> > >> >                   )
>
> Then invoke
>
>   guix system reconfigure /etc/config.scm
>
> as root in order for it to be applied and reboot.
>
> This prevents mounting of /boot/efi entirely (it's pretty dangerous).
>
> Should your system not boot any more you can select the older generation
> in the grub boot menu.  It's also possible that you can't run
>
>   guix system reconfigure /etc/config.scm
>
> anymore after this.  If so, please invoke
>
>   mount /boot/efi
>
> as root.  Then you can invoke
>
>   guix system reconfigure /etc/config.scm
>
> once.
>
> It's likely that the latter will be a successful workaround to
> the original problem.
> It would still be good if we got to the root cause later.
>

--00000000000066072e057f208dc9
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"auto">Oh right, forgot about the check line. I&#39;ll try that =
tonight. However, I don&#39;t think I can run your test program unless that=
 fixes the issue as I never get a shell.<div dir=3D"auto"><br></div><div di=
r=3D"auto">Also, I don&#39;t think this matters, but I&#39;ll be running `g=
uix system init` from the installer rather than reconfigure due to the lack=
 of shell and the fact that guix itself is one of the services that fails t=
o start.</div></div><br><div class=3D"gmail_quote"><div dir=3D"ltr">On Thu,=
 Jan 10, 2019, 09:59 Danny Milosavljevic &lt;<a href=3D"mailto:dannym@scrat=
chpost.org">dannym@HIDDEN</a> wrote:<br></div><blockquote class=3D=
"gmail_quote" style=3D"margin:0 0 0 .8ex;border-left:1px #ccc solid;padding=
-left:1ex">Hi,<br>
<br>
On Thu, 10 Jan 2019 07:15:10 -0800<br>
Bryan Ferris &lt;<a href=3D"mailto:saffsnail@HIDDEN" target=3D"_blank" r=
el=3D"noreferrer">saffsnail@HIDDEN</a>&gt; wrote:<br>
<br>
&gt; I&#39;ve linked to two videos here, one of the boot (the screen with t=
he GNU<br>
&gt; logo and &quot;100% freedom&quot; on it) and one of the init (where Sh=
epherd reports<br>
&gt; errors,<br>
<br>
Thanks!=C2=A0 I&#39;ve viewed those.<br>
<br>
&gt;I think it&#39;s dmesg?).<br>
<br>
It depends.=C2=A0 On early boot it&#39;s dmesg and once syslog is up it&#39=
;s syslog.<br>
<br>
&gt; Boot:<br>
&gt; <a href=3D"https://drive.google.com/file/d/1YMbCI3BvznhMI_eYYTxMvxJC2S=
KlNqSJ/view?usp=3Dsharing" rel=3D"noreferrer noreferrer" target=3D"_blank">=
https://drive.google.com/file/d/1YMbCI3BvznhMI_eYYTxMvxJC2SKlNqSJ/view?usp=
=3Dsharing</a><br>
&gt; Init:<br>
&gt; <a href=3D"https://drive.google.com/file/d/1CZov16Xrpy9D8DMN9eHeANjR7U=
Hh2WpL/view?usp=3Dsharing" rel=3D"noreferrer noreferrer" target=3D"_blank">=
https://drive.google.com/file/d/1CZov16Xrpy9D8DMN9eHeANjR7UHh2WpL/view?usp=
=3Dsharing</a><br>
<br>
Maybe the CP437 is not harmless after all.<br>
<br>
Please try adding the unquoted part below at the indicated place:<br>
<br>
&gt; &gt;&gt; &gt;=C2=A0 =C2=A0(file-systems (cons*<br>
&gt; &gt;&gt; &gt;=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =
=C2=A0 =C2=A0(file-system<br>
&gt; &gt;&gt; &gt;=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =
=C2=A0 =C2=A0 =C2=A0(device (file-system-label &quot;ESP&quot;))<br>
&gt; &gt;&gt; &gt;=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =
=C2=A0 =C2=A0 =C2=A0(mount-point &quot;/boot/efi&quot;)<br>
&gt; &gt;&gt; &gt;=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =
=C2=A0 =C2=A0 =C2=A0(type &quot;fat&quot;)=C2=A0 <br>
&gt; &gt;&gt;<br>
<br>
=C2=A0(check? #f)<br>
<br>
&gt; &gt;&gt; &gt;=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =
=C2=A0 =C2=A0)=C2=A0 <br>
<br>
Then invoke<br>
<br>
=C2=A0 guix system reconfigure /etc/config.scm<br>
<br>
as root in order for it to be applied and reboot.<br>
<br>
This prevents fsck.fat from being invoked - so we hopefully also doesn&#39;=
t<br>
need CP437 any more.<br>
<br>
If that doesn&#39;t help, try this (it&#39;s kinda dangerous :( ):<br>
<br>
&gt; &gt;&gt; &gt;=C2=A0 =C2=A0(file-systems (cons*<br>
&gt; &gt;&gt; &gt;=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =
=C2=A0 =C2=A0(file-system<br>
&gt; &gt;&gt; &gt;=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =
=C2=A0 =C2=A0 =C2=A0(device (file-system-label &quot;ESP&quot;))<br>
&gt; &gt;&gt; &gt;=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =
=C2=A0 =C2=A0 =C2=A0(mount-point &quot;/boot/efi&quot;)<br>
&gt; &gt;&gt; &gt;=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =
=C2=A0 =C2=A0 =C2=A0(type &quot;fat&quot;)=C2=A0 <br>
&gt; &gt;&gt;<br>
<br>
(check? #f)<br>
(needed-for-boot? #f)<br>
<br>
&gt; &gt;&gt; &gt;=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =
=C2=A0 =C2=A0)=C2=A0 <br>
<br>
Then invoke<br>
<br>
=C2=A0 guix system reconfigure /etc/config.scm<br>
<br>
as root in order for it to be applied and reboot.<br>
<br>
This prevents fsck.fat from being invoked and it also prevents the<br>
initial ram disk (a very early tiny GNU system which runs right after the k=
ernel<br>
starts up and before init) from trying to mount /boot/efi .=C2=A0 The real =
system<br>
will still mount /boot/efi later.<br>
<br>
It would be interesting if <br>
<br>
(1) This fixes the problem (I don&#39;t think so), or<br>
(2) It reduces the number of error messages and makes it less bad.<br>
<br>
After all this, if it still doesn&#39;t work:<br>
<br>
Try adding the unquoted part:<br>
<br>
&gt; &gt;&gt; &gt;=C2=A0 =C2=A0(file-systems (cons*<br>
&gt; &gt;&gt; &gt;=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =
=C2=A0 =C2=A0(file-system<br>
&gt; &gt;&gt; &gt;=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =
=C2=A0 =C2=A0 =C2=A0(device (file-system-label &quot;ESP&quot;))<br>
&gt; &gt;&gt; &gt;=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =
=C2=A0 =C2=A0 =C2=A0(mount-point &quot;/boot/efi&quot;)<br>
&gt; &gt;&gt; &gt;=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =
=C2=A0 =C2=A0 =C2=A0(type &quot;fat&quot;)=C2=A0 <br>
&gt; &gt;&gt;<br>
<br>
(check? #f)<br>
(needed-for-boot? #f)<br>
(mount? #f)<br>
<br>
&gt; &gt;&gt; &gt;=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =
=C2=A0 =C2=A0)=C2=A0 <br>
<br>
Then invoke<br>
<br>
=C2=A0 guix system reconfigure /etc/config.scm<br>
<br>
as root in order for it to be applied and reboot.<br>
<br>
This prevents mounting of /boot/efi entirely (it&#39;s pretty dangerous).<b=
r>
<br>
Should your system not boot any more you can select the older generation<br=
>
in the grub boot menu.=C2=A0 It&#39;s also possible that you can&#39;t run<=
br>
<br>
=C2=A0 guix system reconfigure /etc/config.scm<br>
<br>
anymore after this.=C2=A0 If so, please invoke<br>
<br>
=C2=A0 mount /boot/efi<br>
<br>
as root.=C2=A0 Then you can invoke<br>
<br>
=C2=A0 guix system reconfigure /etc/config.scm<br>
<br>
once.<br>
<br>
It&#39;s likely that the latter will be a successful workaround to<br>
the original problem.<br>
It would still be good if we got to the root cause later.<br>
</blockquote></div>

--00000000000066072e057f208dc9--




Message sent to bug-guix@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#33999: CP437: Invalid Argument on init
Resent-From: Ludovic =?UTF-8?Q?Court=C3=A8s?= <ludo@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-guix@HIDDEN
Resent-Date: Wed, 16 Jan 2019 11:01:02 +0000
Resent-Message-ID: <handler.33999.B33999.15476364218150 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 33999
X-GNU-PR-Package: guix
X-GNU-PR-Keywords: 
To: Danny Milosavljevic <dannym@HIDDEN>
Cc: 33999 <at> debbugs.gnu.org, Bryan Ferris <saffsnail@HIDDEN>
Received: via spool by 33999-submit <at> debbugs.gnu.org id=B33999.15476364218150
          (code B ref 33999); Wed, 16 Jan 2019 11:01:02 +0000
Received: (at 33999) by debbugs.gnu.org; 16 Jan 2019 11:00:21 +0000
Received: from localhost ([127.0.0.1]:60770 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gjivk-00027O-VH
	for submit <at> debbugs.gnu.org; Wed, 16 Jan 2019 06:00:21 -0500
Received: from hera.aquilenet.fr ([185.233.100.1]:46562)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1gjivi-00027F-NJ
 for 33999 <at> debbugs.gnu.org; Wed, 16 Jan 2019 06:00:19 -0500
Received: from localhost (localhost [127.0.0.1])
 by hera.aquilenet.fr (Postfix) with ESMTP id 800A71C4A;
 Wed, 16 Jan 2019 12:00:17 +0100 (CET)
X-Virus-Scanned: Debian amavisd-new at aquilenet.fr
Received: from hera.aquilenet.fr ([127.0.0.1])
 by localhost (hera.aquilenet.fr [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id DJn2IoGDDpvY; Wed, 16 Jan 2019 12:00:16 +0100 (CET)
Received: from ribbon (unknown [IPv6:2a01:e0a:1d:7270:af76:b9b:ca24:c465])
 by hera.aquilenet.fr (Postfix) with ESMTPSA id 771DF1C0A;
 Wed, 16 Jan 2019 12:00:16 +0100 (CET)
From: Ludovic =?UTF-8?Q?Court=C3=A8s?= <ludo@HIDDEN>
References: <CABkR=SVzxi8eA4eEfd4+qmxwYkTDGorkeko7NX3XPiROLv_26Q@HIDDEN>
 <20190109200804.5619d668@HIDDEN>
Date: Wed, 16 Jan 2019 12:00:15 +0100
In-Reply-To: <20190109200804.5619d668@HIDDEN> (Danny Milosavljevic's
 message of "Wed, 9 Jan 2019 20:08:04 +0100")
Message-ID: <87tvi8vpds.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 1.0 (+)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)

Hi Danny,

Danny Milosavljevic <dannym@HIDDEN> skribis:

> apparently the message is printed by fsck.fat and is harmless (although w=
e should
> still fix it).

The statically-linked =E2=80=98fsck.fat=E2=80=99 doesn=E2=80=99t have acces=
s to gconv module,
which is why =E2=80=98iconv_open=E2=80=99 would fail.

Glibc has the ability to bring in statically-linked gconv modules, so we
could in theory build a custom glibc for the statically-linked
=E2=80=98fsck.fat=E2=80=99, but that doesn=E2=80=99t sound great.

Thoughts?

Ludo=E2=80=99.





Last modified: Wed, 16 Jan 2019 11:15:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.